> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Member Document

> Adds a document and associates it to the specified member.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml post /member_documents
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /member_documents:
    post:
      tags:
        - member_documents
      description: Adds a document and associates it to the specified member.
      operationId: member_documents_create
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/MemberDocumentRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/MemberDocumentRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberDocument'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    MemberDocumentRequest:
      type: object
      properties:
        member:
          type: string
        file:
          type: string
          format: binary
          description: 'Upload a PDF file. Max size: 5MB.'
        name:
          type: string
          maxLength: 255
          description: Display name for the document.
        document_type:
          $ref: '#/components/schemas/MemberDocumentTypeEnum'
      required:
        - document_type
        - file
        - member
        - name
    MemberDocument:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        file:
          type: string
          format: uri
          description: >-
            Signed private storage URL for downloading the PDF. Upload the file
            itself with a multipart/form-data request.
        name:
          type: string
          maxLength: 255
          description: Display name for the document.
        document_type:
          $ref: '#/components/schemas/MemberDocumentTypeEnum'
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - document_type
        - file
        - id
        - member
        - name
    MemberDocumentTypeEnum:
      enum:
        - 1095_c
        - insurance_id_card
        - general
      type: string
      description: |-
        * `1095_c` - 1095-C
        * `insurance_id_card` - Insurance ID Card
        * `general` - General
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.